de.esprit.netsuite.netdata

## Class VersionCheck

- java.lang.Object
- - de.esprit.netsuite.netdata.VersionCheck

- All Implemented Interfaces:
    java.io.Serializable

      public class VersionCheck
      extends java.lang.Object
      implements java.io.Serializable

  This class performs a version compatibility check on the server. An instance of this class is the first object the client sends to the server.

  IMPORTANT: This object must be exchangeable between client and server no matter which version either of them actually has. Therefore it has got a special fixed serialVersionUID.

  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionCheck(java.lang.String applicationName, Version espritVersion, Version customVersion, boolean isCoClient)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkVersion()` This check is performed on the server
    `java.lang.String` | `getApplicationName()`
    `boolean` | `isCoClient()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionCheck

          public VersionCheck(java.lang.String applicationName,
                      Version espritVersion,
                      Version customVersion,
                      boolean isCoClient)

  - ### Method Detail

    - #### getApplicationName

          public java.lang.String getApplicationName()

    - #### isCoClient

          public boolean isCoClient()

    - #### checkVersion

          public void checkVersion()
                            throws InvalidVersionException,
                                   java.lang.ClassNotFoundException,
                                   java.lang.InstantiationException,
                                   java.lang.IllegalAccessException

      This check is performed on the server
      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`
        `InvalidVersionException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.